#include "common.h"

//========================================================================
// ߂
//========================================================================

int main( int argc, const char* argv[] )
{
	// R}hC
	if( argc != 3 )
	{
		cerr << "Usage:" << endl << "  mtran [CompiledTmpl] [in.xml]" << endl;
		return -1;
	}
	const char* pg_dir = argv[1];
	const char* in_xml = argv[2];

	mem_man<InXML>::cleaner  immsc;
	mem_man<OutXML>::cleaner ommsc;

	// RpCς݃ev[g[h
	Engine eng(pg_dir);

	// XML[h  I[g}gɓKQ؍\ւƕϊ
	InXML* p = loadXML(in_xml);
	if( !p )
	{
		cerr << "Error: XML Load Failure" << endl;
		return -2;
	}

	// s
	vector<OutXML*> o = eng.execute( p );

	// o
	for(int i=0; i!=o.size(); ++i)
		cout << *o[i];
	cout << endl;

	return 0;
}
