
template<typename T, typename S>
  inline T* as(S* s) { return dynamic_cast<T*>(s); }
template<typename T, typename S>
  inline T* as(const shared_ptr<S>& s) { return as<T>(s.get()); }

template<class T>
class mem_man
{
protected:
	mem_man() { newed.push_back(static_cast<T*>(this)); }

public:
	static void clean() {
		for(int i=0; i!=newed.size(); ++i)
			delete newed[i];
		newed.clear();
	}

	struct cleaner
	{
		~cleaner() { mem_man<T>::clean(); }
	};

private:
	static vector<T*>    newed;
};

template<class T>
vector<T*> mem_man<T>::newed;
