struct SAXAttr
{
	string qname;
	string value;
	SAXAttr(const char* q, const char* v) : qname(q), value(v) {}
};

struct SAXHandler
{
	virtual bool start_e( const char* qname, const vector<SAXAttr>& da ) = 0;
	virtual bool end_e() = 0;
	virtual bool text( const vector<char>& data ) = 0;

	vector<char> buf;
};

bool parse( const char* filename, SAXHandler* han );
